[Git][reproducible-builds/disorderfs][master] Include and use a run-parts.sh for tests

Bernhard M. Wiedemann gitlab at salsa.debian.org
Thu Oct 25 11:04:33 CEST 2018


Bernhard M. Wiedemann pushed to branch master at Reproducible Builds / disorderfs


Commits:
1e163acb by Bernhard M. Wiedemann at 2018-10-25T09:03:53Z
Include and use a run-parts.sh for tests

to allow to run tests on non-Debian systems
Note: defaults to --exit-on-error to give failed tests more prominence
and to ensure a non-zero exit-code in case of test failures

- - - - -


2 changed files:

- Makefile
- + run-parts.sh


Changes:

=====================================
Makefile
=====================================
@@ -98,7 +98,7 @@ install-man: build-man
 # Test
 #
 test: build
-	cd tests && run-parts --verbose .
+	cd tests && ../run-parts.sh --verbose .
 
 .PHONY: all \
 	build build-bin build-man \


=====================================
run-parts.sh
=====================================
@@ -0,0 +1,9 @@
+#!/bin/sh -e
+verbose=0
+[ "$1" = --verbose ] && verbose=1 && shift
+
+dir=$1
+for prog in `find $dir -type f -perm -1 | LC_ALL=C sort` ; do
+    [ "$verbose" = 0 ] || echo "run-parts: executing $prog" >&2
+    $prog
+done



View it on GitLab: https://salsa.debian.org/reproducible-builds/disorderfs/commit/1e163acb4854048e8b50e5744d9cad95730c5e81

-- 
View it on GitLab: https://salsa.debian.org/reproducible-builds/disorderfs/commit/1e163acb4854048e8b50e5744d9cad95730c5e81
You're receiving this email because of your account on salsa.debian.org.
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.reproducible-builds.org/pipermail/rb-commits/attachments/20181025/7b233d91/attachment.html>


More information about the rb-commits mailing list